﻿.body{
	background: #f1f3f5;
	padding-bottom: 3%;
}
.nav_box{
	background: #fff;
	margin-bottom: 30px;
}
.nav_wrap {
	padding: 12px 10px;
	overflow: hidden;
}

.nav_wrap .post-title {
	float: left;
	color: #000;
	font-size: 28px;
	line-height: 35px;
	font-weight: 600;
}

.nav_wrap .get-quote {
	cursor: pointer;
	color: #fff;
	padding: 5px 20px;
	float: right;
	background: #1a2f83;
}

.posts_form li {
	margin-bottom: 15px;
	width: 100%;
	background: #fff;
}

.posts_form li input {
	border: 1px solid #d2d2d2;
	padding: 10px 10px;
	width: 100%;
}

.posts_form li textarea {
	border: 1px solid #d2d2d2;
	padding: 10px 10px;
	width: 100%;
	height: 90px;
}

.posts_form .submit {
	padding: 10px 35px;
	background: #182d82;
	color: #fff;
}
.posts-box-left{
	background: #fff;
	border-radius: 10px;
}
.posts-box-list {
	position: relative;
	margin: 0 10px;
}

.posts-box-list>li {
	position: relative;
	margin-top: 20px;
	width: 100%;
	border-bottom: 1px solid #eceff2;
	padding-bottom: 15px;
}

.posts-title {
	font-weight: 600;
	color: #000;
	font-size: 18px;
	margin-bottom: 10px;
}
.posts-list .sub2-img img {
	width: 100%;
	cursor: pointer;
	transition: transform 0.3s ease;
}
.sub2-img .img-box:hover img{
	transform: scale(1.1); /* 放大 10% */
}
.posts-list .sub2-img .img-box{
	position: relative;
	width: 25%;
	float: left;
	cursor: pointer;
}
.time {
	position: absolute;
	right: 0;
}
.author{
	font-size: 12px;
	font-weight: 300;
	color: #333;
	margin-left: 10px;
}
.comment-box-btn{
	padding-top: 20px;
	width: 100%;
	display: flow-root;
}
.comment-box-btn>i{
	float: left;
	margin-right: 15px;
}
.comment-box-btn i img{
	float: left;
	width: 22px;
}
.comment-list>li {
	margin-top: 10px;
	width: 100%;
	border-bottom: 1px solid #eceff2;
	padding-bottom: 15px;
}
.custom-comment-form{
	overflow: hidden;
}
.comment-body {
	margin-left: 10px;
}
.us-Form {
	margin-top: 10px;
	width: 100%;
	display: none;
}
.us-Form>li input {
	border: 1px solid #d2d2d2;
	padding: 10px 10px;
	width: 100%;
}

.us-Form textarea {
	border: 1px solid #d2d2d2;
	padding: 10px 10px;
	width: 100%;
	height: 50px;
	border-radius: 9px;
}

.us-Form .submit {
	padding: 8px 30px;
	background: #182d82;
	color: #fff;
	float: right;
	border-radius: 20px;
}
.comment{
	display: inline-flex;
	align-items: center;
	font-size: 16px;
	background-color: transparent;
	border: none;
	cursor: pointer;
	transition: transform 0.2s ease, color 0.3s ease;
	font-size: 16px;
}
/* 初始样式 */
.like-btn {
    display: inline-flex;
    align-items: center;
    font-size: 16px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    transition: transform 0.2s ease, color 0.3s ease;
}

/* 点赞按钮点击时的动画效果 */
.like-btn.clicked {
    transform: scale(1.1); /* 放大 */
    color: #ff6600; /* 改变颜色（可自定义） */
}

/* 按钮图片点击时的缩放 */
.like-btn.clicked img {
    transform: scale(1.2); /* 放大图片 */
}
.comment-box-btn i :hover .i{
   transform: scale(1.1);
}
.posts-box-right{
	float: right;
}
.posts-box-pro {
	margin-left: 20px;
}
.posts-box-pro li{
	background: #fff;
	margin-bottom: 20px;
}
.posts-box-pro li h2{
	margin-top: 0;
	padding: 10px 10px;
	font-size: 22px;
}
.share{
	position: relative;
	cursor: pointer;
	font-style: normal;
}
.social-slider{
	display: none;
	position: absolute;
	top: 20px;
	width: 115px;
	background: #fff;
	padding: 10px;
	border-radius: 4px;
	box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
	z-index: 1000;
}
.share:hover .social-slider{
	display: block;
}
.social-slider i{
	float: left;
}
.social-slider img{
	width: 18px !important;
	margin-right: 5px;
}
.social-slider a{
	margin: 10px 0;
	display: block;
}
.social-slider a:hover{
	color: #1a2f83;
	font-weight: 600;
}
.emoji{
	font-size: 26px;
}
.text-center{
	background: #fff;
}
.btn-close{
	 filter: invert(0%) grayscale(0%) brightness(100%) !important;
}
.btn-outline-light{
	color: #4b4d4f;
}
.imageModalBox{
	padding-top: 30px;
}
@media screen and (max-width: 750px) {
	.posts-list .sub2-img .img-box {
		position: relative;
		width: 45%;
		float: left;
		cursor: pointer;
	}
	.posts-box-pro{
		margin-top: 3%;
		margin-left: 0;
		display: grid;
		grid-template-columns: repeat(2, 1fr); /* 3列平均分配 */
		grid-template-rows: repeat(2, 1fr); /* 3行 */
		gap: 10px; /* 单元格之间的间距 */
	}
	.posts-box-pro li{
		float: left;
		margin-bottom: 4px;
	}
	.posts-box-pro li h2{
		font-size: 16px;
	}
	.time {
		position: absolute;
		right: 0;
		bottom: 23px;
	}
}
.posts-mask {
    position: fixed;
    top: 30%;
    left: 50%;
    transform: translateX(-50%);
    background: #f0fff0;
    border: 1px solid #6c6;
    padding: 15px 25px;
    border-radius: 6px;
    box-shadow: 0 0 10px rgba(0,0,0,0.15);
    z-index: 9999;
    font-size: 16px;
}
.emoji-picker-box{
	position: relative;
}
